Bug 1533319 (CVE-2017-1000500) - CVE-2017-1000500 keycloak: Host header injection in password reset page can allow for poisoned URL
Summary: CVE-2017-1000500 keycloak: Host header injection in password reset page can a...
Status: CLOSED DUPLICATE of bug 1484564
Alias: CVE-2017-1000500
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20171214,repor...
Keywords: Security
Depends On:
Blocks: 1533321
TreeView+ depends on / blocked
 
Reported: 2018-01-11 04:21 UTC by Sam Fowler
Modified: 2019-06-08 22:36 UTC (History)
15 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-15 23:31:40 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-01-11 04:21:34 UTC
Keycloak SSO versions prior to 2.x are vulnerable to Host Header Injection on the forgot password page causing the application to send a poisoned URL as the password reset link.

References:
https://nvd.nist.gov/vuln/detail/CVE-2017-1000500
https://github.com/keycloak/keycloak-documentation/pull/268/commits/a2b58aadee42af2c375b72e86dffc2cf23cc3770

Comment 1 Jason Shepherd 2018-01-11 07:20:54 UTC
Attack relies on compromising /etc/hosts file and tricking user into clicking reset password link with invalid URL. Wontfix for RHMAP-4

Comment 2 Jason Shepherd 2018-02-15 23:31:40 UTC

*** This bug has been marked as a duplicate of bug 1484564 ***


Note You need to log in before you can comment on or make changes to this bug.